#pragma once
#include <stdint.h>

enum fftranscode_type {
	FFTRANSC_T_RUA,
	FFTRANSC_T_HNBAP,
	FFTRANSC_T_RANAP,
	_NUM_FFTRANSC_T
};

int fftranscode_aper2ber(enum fftranscode_type ttype, uint8_t **out, const uint8_t *in, size_t in_len);
int fftranscode_ber2aper(enum fftranscode_type ttype, uint8_t **out, const uint8_t *in, size_t in_len);

void fftranscode_free(void *ptr);
